elm::flip Struct Reference

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions
elm::flip Struct Reference

Class flip. More...

## Public Member Functions
| flip (Eo *eo)
| Eo Constructor. More...
| flip (std::nullptr_t)
| nullptr_t Constructor. More...
| flip (flip const &other)
| Copy Constructor.
void | interaction_direction_hitsize_set (Elm_Flip_Direction dir_, double hitsize_) const
double | interaction_direction_hitsize_get (Elm_Flip_Direction dir_) const
void | interaction_direction_enabled_set (Elm_Flip_Direction dir_, bool enabled_) const
bool | interaction_direction_enabled_get (Elm_Flip_Direction dir_) const
void | go (Elm_Flip_Mode mode_) const
void | go_to (bool front_, Elm_Flip_Mode mode_) const
| flip (::efl::eo::parent_type _p)
| Constructs a new elm::flip object. More...

## Detailed Description

Class flip.

## Constructor & Destructor Documentation

elm::flip::flip | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::flip object.

Constructs a new elm::flip object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::flip my_flip(efl::eo::parent = parent_object);

See also
  flip(Eo* eo)

elm::flip::flip | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

elm::flip::flip | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

void elm::flip::go | ( | Elm_Flip_Mode | mode_ | ) | const

Parameters

  mode |

void elm::flip::go_to | ( | bool | front_,
|  | Elm_Flip_Mode | mode_
| ) |  | const

Parameters

  front |
  mode |

bool elm::flip::interaction_direction_enabled_get | ( | Elm_Flip_Direction | dir_ | ) | const

Parameters

  dir |

void elm::flip::interaction_direction_enabled_set | ( | Elm_Flip_Direction | dir_,
|  | bool | enabled_
| ) |  | const

Parameters

  dir |
  enabled |

double elm::flip::interaction_direction_hitsize_get | ( | Elm_Flip_Direction | dir_ | ) | const

Parameters

  dir |

void elm::flip::interaction_direction_hitsize_set | ( | Elm_Flip_Direction | dir_,
|  | double | hitsize_
| ) |  | const

Parameters

  dir |
  hitsize |